Debian Bug report logs - #501190
ITP: moon -- open source implementation of Microsoft Silverlight

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jo Shields <directhex@apebox.org>

Date: Sun, 5 Oct 2008 12:09:01 UTC

Owned by: Jo Shields <directhex@apebox.org>

Severity: wishlist

Fixed in version moon/1.0~beta1-1

Done: Mirco Bauer <meebey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#501190; Package wnpp. (Sun, 05 Oct 2008 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sun, 05 Oct 2008 12:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: submit@bugs.debian.org
Subject: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Sun, 05 Oct 2008 13:07:16 +0100
Package: wnpp
Severity: wishlist
Owner: Jo Shields <directhex@apebox.org>


* Package name    : moon
  Version         : 0.8.1
  Upstream Author : Everaldo Canuto <ecanuto@novell.com> and others
* URL             : http://www.mono-project.com/Moonlight
* License         : LGPL-2, Ms-PL, Expat
  Programming Lang: C, C#
  Description     : open source implementation of Microsoft Silverlight

 The goals are:
  o To run Silverlight applications on Linux.
  o To provide a Linux SDK to build Silverlight applications.
  o To reuse the Silverlight engine we have built for desktop applications.
 
 About Microsoft Silverlight :
  Microsoft Silverlight is a cross-browser, cross-platform, and cross-device
  plug-in for delivering the next generation of .NET based media experiences
  and rich interactive applications for the Web.

 This package is team-maintained in SVN by the pkg-mono team:
  http://pkg-mono.alioth.debian.org/





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Mon, 06 Oct 2008 13:27:03 GMT) Full text and rfc822 format available.

Message #8 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Mon, 6 Oct 2008 15:24:26 +0200
On Sun, Oct 05, 2008 at 01:07:16PM +0100, Jo Shields wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Jo Shields <directhex@apebox.org>
> 
> 
> * Package name    : moon
>   Version         : 0.8.1
>   Upstream Author : Everaldo Canuto <ecanuto@novell.com> and others
> * URL             : http://www.mono-project.com/Moonlight
> * License         : LGPL-2, Ms-PL, Expat
>   Programming Lang: C, C#
>   Description     : open source implementation of Microsoft Silverlight
> 
>  [...]

Hi,

The description is misleading.  This is (AFAICT) not an implementation of a
standard but a clone product, like wine, and much like wine it lags behind to
the real one.  Please make that clear in the description to avoid leading users
(and specially web developers) to believe Silverlight is cross-platform.  For
example, the wine description reads:

  "This is still a work in progress and many applications may still not work."


Also, this program depends heavily on codecs, and you didn't specify which ones
you plan to use:

  - If those are the binary codecs from Microsoft, make it clear you plan to
    upload to contrib (not Debian).

  - If you want to use ffmpeg, please clarify the legal situation wrt license
    incompatibility mentioned by Moonlight's authors in:

      http://tirania.org/blog/archive/2007/Sep-05.html

    which appears to have prevented them from using ffmpeg, and forced them
    into licensing blobs from Microsoft.  Unfortunately they aren't very
    explicit about what the problem is, but it is certain there is one, so
    please find that out, and have it discussed in debian-legal.

Thanks

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Mon, 06 Oct 2008 13:39:04 GMT) Full text and rfc822 format available.

Message #11 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Mon, 6 Oct 2008 15:33:48 +0200
According to the authors of Moonlight [1], this software is covered by patents
owned by Microsoft, which has rules specificaly forbidding re-distribution
to parties that are "Downstream recipients" [2].

This seems to indicate it would be illegal for Debian developers in the US
to:

  - Use Moonlight in their browsers (thereby becoming "downstream recipients").

  - Upload new versions of the package.

at the same time (though apparently they can do either of these activities
as long as they don't do both at the same time).

Please have this discussed/clarified in debian-legal as well.

[1] In http://groups.google.com/group/tiraniaorg-blog-comments/browse_thread/thread/2a07b8b50038d8c8/d582162af2d63d57
    de Icaza states that you need to "get/download Moonlight from Novell
    which will include patent coverage"
[2] http://www.microsoft.com/interop/msnovellcollab/moonlight.mspx

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Mon, 06 Oct 2008 13:51:04 GMT) Full text and rfc822 format available.

Message #14 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Mon, 6 Oct 2008 15:46:55 +0200
On Mon, Oct 06, 2008 at 03:24:26PM +0200, Robert Millan wrote:
> >   Description     : open source implementation of Microsoft Silverlight
> > 
> >  [...]
> 
> Hi,
> 
> The description is misleading.  This is (AFAICT) not an implementation of a
> standard but a clone product, like wine, and much like wine it lags behind to
> the real one.  Please make that clear in the description to avoid leading users
> (and specially web developers) to believe Silverlight is cross-platform.  For
> example, the wine description reads:
> 
>   "This is still a work in progress and many applications may still not work."

Moreover, the word "implementation of Silverlight" doesn't seem accurate
when referring to a product instead of a standard.  You probably meant to
say this is a "clone of Silverlight".

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Mon, 06 Oct 2008 17:27:02 GMT) Full text and rfc822 format available.

Message #17 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Mon, 6 Oct 2008 19:21:57 +0200
On Mon, Oct 06, 2008 at 03:33:48PM +0200, Robert Millan wrote:
> [2] http://www.microsoft.com/interop/msnovellcollab/moonlight.mspx

Btw, an independent analisys of that covenant is available:

  http://www.groklaw.net/article.php?story=20080528133529454

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#501190; Package wnpp. (Mon, 06 Oct 2008 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 06 Oct 2008 22:39:07 GMT) Full text and rfc822 format available.

Message #22 received at 501190@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: Robert Millan <rmh@aybabtu.com>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Mon, 06 Oct 2008 23:08:38 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mon, 2008-10-06 at 15:24 +0200, Robert Millan wrote:
> Hi,
> 
> The description is misleading.  This is (AFAICT) not an implementation of a
> standard but a clone product, like wine, and much like wine it lags behind to
> the real one.  Please make that clear in the description to avoid leading users
> (and specially web developers) to believe Silverlight is cross-platform.  For
> example, the wine description reads:
> 
>   "This is still a work in progress and many applications may still not work."

You're absolutely right, it's a clone, albeit one officially endorsed by
those being cloned. My package description is sourced from a
debian-multimedia package, I'll post a replacement to the ITP shortly.

I'll alter the package description to reflect it. However, one
observation - official Silverlight *does* run on multiple platforms
(Windows or Mac), just not on Linux or other *nixes. Moonlight is
officially endorsed & help given to Moonlight developers to help get
more platforms supported.

> Also, this program depends heavily on codecs, and you didn't specify which ones
> you plan to use:

FFmpeg from Debian Main. The binary codecs aren't up for consideration -
they'd hamstring the package and remove not only cross-platform
capability, but software freedom. Oh, and the binary codecs don't
actually exist yet.

>   - If those are the binary codecs from Microsoft, make it clear you plan to
>     upload to contrib (not Debian).

Nope, FFmpeg-only, and like other FFmpeg-depending packages in Debian,
I'm aiming for Main.

>   - If you want to use ffmpeg, please clarify the legal situation wrt license
>     incompatibility mentioned by Moonlight's authors in:
> 
>       http://tirania.org/blog/archive/2007/Sep-05.html
> 
>     which appears to have prevented them from using ffmpeg, and forced them
>     into licensing blobs from Microsoft.  Unfortunately they aren't very
>     explicit about what the problem is, but it is certain there is one, so
>     please find that out, and have it discussed in debian-legal.

Novell don't want to distribute a Moonlight linked against FFmpeg, and
make themselves targets for patent trolls like the MPEG-LA. That's fair
enough really - some distributions have no MP3 or MPEG2  playback
support (due to fear of Thompson etc), whilst Debian ships things like libmad 
and faad2 in Main.

Here's the licensing rundown:
There are four license at play here:
* Ms-PL, used for Managed (CIL) widgets in the Silverlight 2.0 profile
we aren't yet using
* MIT, used for Managed (CIL) widgets in the Silverlight 2.0 profile we
aren't yet using
* LGPL2-only, used for the plugin (i.e. libmoon.so.0 and
libmoonplugin.so et al)
* GPL2+, used for the Debian FFmpeg packaging (via the --enable-gpl flag
used in FFmpeg compilation).

The distinction between the managed and unmanaged sections is important
here. The managed components are libraries, independent libraries, with
entirely compatible licenses (Ms-PL is basically Expat with a patent
grant, none of those libraries link to or use any incompatible
licenses). They're also not even built right now (they require Mono 2.0,
which we haven't finished working on yet).

The remaining sections, Moonlight's Silverlight 1.0 profile (src/* and
plugin/*) and FFmpeg (for the multimedia capabilities), are trivially
combined, the way thousands of other packages on Debian combine LGPL2
with GPL2.

Nothing to see here :)

On Mon, 2008-10-06 at 15:33 +0200, Robert Millan wrote:
> According to the authors of Moonlight [1], this software is covered by
> patents
> owned by Microsoft, which has rules specificaly forbidding
> re-distribution
> to parties that are "Downstream recipients" [2].
> 
> This seems to indicate it would be illegal for Debian developers in
> the US
> to:
> 
> - Use Moonlight in their browsers (thereby becoming "downstream
> recipients").
> 
> - Upload new versions of the package.
> 
> at the same time (though apparently they can do either of these
> activities
> as long as they don't do both at the same time).
> 
> Please have this discussed/clarified in debian-legal as well.
> 
> [1] In
> http://groups.google.com/group/tiraniaorg-blog-comments/browse_thread/thread/2a07b8b50038d8c8/d582162af2d63d57
> de Icaza states that you need to "get/download Moonlight from Novell
> which will include patent coverage"
> [2] http://www.microsoft.com/interop/msnovellcollab/moonlight.mspx

I don't see how possible but unclaimed patents would make moonlight in
Debian more dangerous than any software such as wine, linux, samba, OOo,
ntfs-3g, etc.

On Mon, 2008-10-06 at 15:46 +0200, Robert Millan wrote:
> Moreover, the word "implementation of Silverlight" doesn't seem
> accurate
> when referring to a product instead of a standard. You probably meant
> to
> say this is a "clone of Silverlight".

Yep, like I said, you're right, my fault for not double-checking the
text from the debian-multimedia package. Will fix.

It's a team-maintained package, and we're trying to keep track of any 
problems or potential problems - keep an eye on 
http://wiki.debian.org/Teams/DebianMonoGroup/Moonlight if you want to 
track progress. Upstream are also aware of any concerns we have, and 
are trying to clear things up where possible.

Thanks for your work on the topic, and I'll be sure to update our Wiki 
page to reflect the points you've raised!

--Jo Shields
[member of Debian Mono Group]

** Note, apologies to debian-devel@ for the offtopic nature of these
messages, my reply is aimed at debian-devel only for mailing list
archive purposes **
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Tue, 07 Oct 2008 07:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>
Cc: 501190@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#501190: ITP: moonlight -- open source implementation of Microsoft Silverlight
Date: Tue, 7 Oct 2008 09:03:55 +0200
On Mon, Oct 06, 2008 at 11:08:38PM +0100, Jo Shields wrote:
> 
> You're absolutely right, it's a clone, albeit one officially endorsed by
> those being cloned. My package description is sourced from a
> debian-multimedia package, I'll post a replacement to the ITP shortly.

Thanks.

> However, one
> observation - official Silverlight *does* run on multiple platforms
> (Windows or Mac), just not on Linux or other *nixes. Moonlight is
> officially endorsed & help given to Moonlight developers to help get
> more platforms supported.

Right, and Moonlight is not Silverlight, and since Silverlight is a moving
target it won't be fully compatible with it anytime soon.  Being endorsed
hasn't changed that so far.

> >   - If you want to use ffmpeg, please clarify the legal situation wrt license
> >     incompatibility mentioned by Moonlight's authors in:
> > 
> >       http://tirania.org/blog/archive/2007/Sep-05.html
> > 
> >     which appears to have prevented them from using ffmpeg, and forced them
> >     into licensing blobs from Microsoft.  Unfortunately they aren't very
> >     explicit about what the problem is, but it is certain there is one, so
> >     please find that out, and have it discussed in debian-legal.
> 
> Novell don't want to distribute a Moonlight linked against FFmpeg, and
> make themselves targets for patent trolls like the MPEG-LA. That's fair
> enough really

It is (IMO).  But their statement doesn't seem to speak about patents:

  "We are unable to redistribute this code commercially due to licensing conflicts."

Though, this ITP is not the best place to discuss legal issues.  I'm just
pointing out possible sources of trouble.  Please, bring this up in
debian-legal, and have the discussion referred to from here.

> > [1] In
> > http://groups.google.com/group/tiraniaorg-blog-comments/browse_thread/thread/2a07b8b50038d8c8/d582162af2d63d57
> > de Icaza states that you need to "get/download Moonlight from Novell
> > which will include patent coverage"
> > [2] http://www.microsoft.com/interop/msnovellcollab/moonlight.mspx
> 
> I don't see how possible but unclaimed patents would make moonlight in
> Debian more dangerous than any software such as wine, linux, samba, OOo,
> ntfs-3g, etc.

Unclaimed patents are precisely the reason we don't have any MPEG encoders
in Debian (see http://techliberation.com/2006/05/11/mpeg-patent-thicket/).

Besides, I don't recall OOo authors saying you must download OOo from Sun
or otherwise you will be endangered, like de Icaza asserted [1].

And I don't recall Microsoft having a web page where it regulates what you
can and can't do explicitly with OOo.

To summarize:

  - $author claims you should download the software from them in order to
    enjoy "protection" from patents owned by $this_troll.
  - $this_troll has a web page explicitly dictating what you can and can't
    do with $this_software.
  - You want Debian to dismiss all claims because you believe they're not
    "more dangerous" than those in wine, linux, samba, OOo or ntfs-3g.

It doesn't sound convincing to me.  And apparently it didn't sound convincing
to others either (e.g. http://fedoraproject.org/wiki/ForbiddenItems#Moonlight).

Would you please bring this up in debian-legal so a proper discussion can be
held?

[1] http://groups.google.com/group/tiraniaorg-blog-comments/browse_thread/thread/2a07b8b50038d8c8/d582162af2d63d57

> Upstream are also aware of any concerns we have, and 
> are trying to clear things up where possible.

(offtopic) If I may make a suggestion, tell them to use GPLv3.  It was
purposely designed to solve this kind of problem.

> ** Note, apologies to debian-devel@ for the offtopic nature of these
> messages, my reply is aimed at debian-devel only for mailing list
> archive purposes **

It is standard practice to CC debian-devel in new ITPs.  Though, as I said
for legal discussions please use debian-legal, and afterwards link to the
discussion from here.  You can start a discussion there by pointing to
this ITP.

Thanks

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#501190; Package wnpp. (Tue, 07 Oct 2008 23:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 07 Oct 2008 23:42:02 GMT) Full text and rfc822 format available.

Message #30 received at 501190@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: 501190@bugs.debian.org
Subject: Reworded control
Date: Wed, 08 Oct 2008 00:38:41 +0100
[Message part 1 (text/plain, inline)]

[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Thu, 09 Oct 2008 13:39:05 GMT) Full text and rfc822 format available.

Message #33 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: Reworded control
Date: Thu, 9 Oct 2008 15:32:48 +0200
On Wed, Oct 08, 2008 at 12:38:41AM +0100, Jo Shields wrote:
> Package: moonlight-plugin-core
> Architecture: any
> Depends: ${shlibs:Depends}
> Conflicts: moonlight
> Description: open source clone of Microsoft Silverlight - core plugin
>  Moonlight is a free Silverlight clone, allowing Free Software systems to
>  run embedded web-browser objects or standalone code targetting Microsoft
>  Silverlight.

Not true.  Code targetting Microsoft Silverlight may as well depend on
functionality not present in this package.  And in fact the only notable
example I remember (the Chinese Olympics videostreams) did.

Again, I'm pointing to wine as an example, since the situation is the same.
wine has this in its description:

  "This is still a work in progress and many applications may still not work."

Would you please make that clear?  We don't want to deceive our users into
thinking Silverlight is cross-platform, do we?

>  WARNING: This is an implementation of public API documentation published on 
>  MSDN,

Not true.  Take it from de Icaza himself:

  "Microsoft will give us access to the Silverlight specifications: details
  that might be necessary to implement 1.0, beyond what is currently published
  on the web; [...]"
    http://tirania.org/blog/archive/2007/Sep-05.html

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Thu, 09 Oct 2008 17:42:05 GMT) Full text and rfc822 format available.

Message #36 received at 501190@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Jo Shields <directhex@apebox.org>, 501190@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#501190: Reworded control
Date: Thu, 9 Oct 2008 19:36:37 +0200
Btw, please keep in mind that the description issues I pointed out are
relatively unimportant compared to legal risk (and I haven't seen that
being discussed in debian-legal yet).

On Thu, Oct 09, 2008 at 03:32:48PM +0200, Robert Millan wrote:
> On Wed, Oct 08, 2008 at 12:38:41AM +0100, Jo Shields wrote:
> > Package: moonlight-plugin-core
> > Architecture: any
> > Depends: ${shlibs:Depends}
> > Conflicts: moonlight
> > Description: open source clone of Microsoft Silverlight - core plugin
> >  Moonlight is a free Silverlight clone, allowing Free Software systems to
> >  run embedded web-browser objects or standalone code targetting Microsoft
> >  Silverlight.
> 
> Not true.  Code targetting Microsoft Silverlight may as well depend on
> functionality not present in this package.  And in fact the only notable
> example I remember (the Chinese Olympics videostreams) did.
> 
> Again, I'm pointing to wine as an example, since the situation is the same.
> wine has this in its description:
> 
>   "This is still a work in progress and many applications may still not work."
> 
> Would you please make that clear?  We don't want to deceive our users into
> thinking Silverlight is cross-platform, do we?
> 
> >  WARNING: This is an implementation of public API documentation published on 
> >  MSDN,
> 
> Not true.  Take it from de Icaza himself:
> 
>   "Microsoft will give us access to the Silverlight specifications: details
>   that might be necessary to implement 1.0, beyond what is currently published
>   on the web; [...]"
>     http://tirania.org/blog/archive/2007/Sep-05.html
> 

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 04 Dec 2008 07:06:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: moon -- open source implementation of Microsoft Silverlight' from `ITP: moonlight -- open source implementation of Microsoft Silverlight'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 07 Dec 2008 06:27:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Jo Shields <directhex@apebox.org>:
Bug#501190; Package wnpp. (Sat, 27 Dec 2008 04:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Jo Shields <directhex@apebox.org>. (Sat, 27 Dec 2008 04:36:02 GMT) Full text and rfc822 format available.

Message #45 received at 501190@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 501190@bugs.debian.org
Subject: moonlight status
Date: Sat, 27 Dec 2008 04:31:06 +0000
It looks like moon is no longer in NEW.  Could someone
provide an update?




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#501190; Package wnpp. (Sat, 27 Dec 2008 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 27 Dec 2008 17:12:06 GMT) Full text and rfc822 format available.

Message #50 received at 501190@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: Clint Adams <schizo@debian.org>, 501190@bugs.debian.org
Subject: Re: Bug#501190: moonlight status
Date: Sat, 27 Dec 2008 17:11:20 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2008-12-27 at 04:31 +0000, Clint Adams wrote:
> It looks like moon is no longer in NEW.  Could someone
> provide an update?

It was REJECTED due to debian/copyright not containing info on all the
useless bundled lib sources (cairo & pixman) which the package isn't
built against. I'm waiting for my sponsor to re-submit.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mirco Bauer <meebey@debian.org>:
You have taken responsibility. (Wed, 11 Mar 2009 00:54:15 GMT) Full text and rfc822 format available.

Notification sent to Jo Shields <directhex@apebox.org>:
Bug acknowledged by developer. (Wed, 11 Mar 2009 00:54:15 GMT) Full text and rfc822 format available.

Message #55 received at 501190-close@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: 501190-close@bugs.debian.org
Subject: Bug#501190: fixed in moon 1.0~beta1-1
Date: Wed, 11 Mar 2009 00:47:30 +0000
Source: moon
Source-Version: 1.0~beta1-1

We believe that the bug you reported is fixed in the latest version of
moon, which is due to be installed in the Debian FTP archive:

libmoon_1.0~beta1-1_i386.deb
  to pool/main/m/moon/libmoon_1.0~beta1-1_i386.deb
moon_1.0~beta1-1.diff.gz
  to pool/main/m/moon/moon_1.0~beta1-1.diff.gz
moon_1.0~beta1-1.dsc
  to pool/main/m/moon/moon_1.0~beta1-1.dsc
moon_1.0~beta1.orig.tar.gz
  to pool/main/m/moon/moon_1.0~beta1.orig.tar.gz
moonlight-plugin-core_1.0~beta1-1_i386.deb
  to pool/main/m/moon/moonlight-plugin-core_1.0~beta1-1_i386.deb
moonlight-plugin-mozilla_1.0~beta1-1_i386.deb
  to pool/main/m/moon/moonlight-plugin-mozilla_1.0~beta1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501190@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mirco Bauer <meebey@debian.org> (supplier of updated moon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Mar 2009 22:25:06 +0100
Source: moon
Binary: moonlight-plugin-core moonlight-plugin-mozilla libmoon
Architecture: source i386
Version: 1.0~beta1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Changed-By: Mirco Bauer <meebey@debian.org>
Description: 
 libmoon    - Free Software clone of Silverlight 1.0 - unstable runtime library
 moonlight-plugin-core - Free Software clone of Silverlight 1.0 - plugin core components
 moonlight-plugin-mozilla - Free Software clone of Silverlight 1.0 - Xulrunner 1.9 plugin
Closes: 501190
Changes: 
 moon (1.0~beta1-1) unstable; urgency=low
 .
   [ Jo Shields ]
   * Initial packaging (Closes: #501190)
     + Split plugin package from bridge package
     + Fresh debian/rules file, with some sections based on
       debian-multimedia (no ccache et al)
     + More liberal dependencies, depend on underlying Xulrunner rather
       than specific Iceweasel
     + Tighten inter-package dependencies to make it more NMU-safe
     + Make more distro-agnostic use of dh_link, to help Ubuntu
   * debian/rules,
     debian/patches/moon_dont_bail_on_unknown_arches.diff:
     + Patch configure.ac and re-autoconf to ensure arches other than
       i386 and amd64 compile fine (LP: #330917)
 .
   [ Christian Marillat ]
   * Initial packaging.
     + Due to overlapping work, the following files were used in part or
       used for reference, and modified where appropriate:
       - debian/rules
       - debian/control
       - debian/copyright
 .
   [ Mirco Bauer ]
   * debian/copyright:
     + Reviewed copyright and licenses of the complete source code and updated
       where needed.
 .
   [ Stefan Ebner ]
   * debian/rules: Replace deprecated dh_clean -k with dh_prep
     to make lintian happy
Checksums-Sha1: 
 7a919d72fe5eeda9eb828ac577736f0dcec4441a 1560 moon_1.0~beta1-1.dsc
 4bb1943cc83d11fd3149ed19d82f21352cae7e41 13158628 moon_1.0~beta1.orig.tar.gz
 ed3b4a9612705685fecb505d7c894a12971aa361 15861 moon_1.0~beta1-1.diff.gz
 389f1b58dfde30f432b977274fbe12e0fa91247a 118170 moonlight-plugin-core_1.0~beta1-1_i386.deb
 cfd8115009159488ae96f8b0376e334a6ebf5c21 53008 moonlight-plugin-mozilla_1.0~beta1-1_i386.deb
 8a284c165eba6e61e288f6c475072cdfbfce0fc7 585392 libmoon_1.0~beta1-1_i386.deb
Checksums-Sha256: 
 0aaba18b096f82af3cb767e193d02719af5963efad22afff6487aeb1758cd114 1560 moon_1.0~beta1-1.dsc
 e50aeef58ecbbcdbbaf4d4b86cbd4553025f3e41d649659e250aceb785c80395 13158628 moon_1.0~beta1.orig.tar.gz
 ac18aebe2a6c07d63aedaf673d0ca6a95c6559fe86a966c9661b368e44d24f18 15861 moon_1.0~beta1-1.diff.gz
 d329482d994a75dece6abf15505d02beb429e322a7e8cde05b1bad12db5e1041 118170 moonlight-plugin-core_1.0~beta1-1_i386.deb
 94b8d7797221954e72258d56a07b4d75a7e17f012a27f7bbb97d9ae31c12b2ea 53008 moonlight-plugin-mozilla_1.0~beta1-1_i386.deb
 1e04a4104e8a9a74315ece9a486c08caa56ee0be1082762c4d039632d00b9b5f 585392 libmoon_1.0~beta1-1_i386.deb
Files: 
 b24067a61b0b53de64cff69578a27741 1560 web optional moon_1.0~beta1-1.dsc
 06d9856a1067a6e2f985d5dbe94861ae 13158628 web optional moon_1.0~beta1.orig.tar.gz
 b63073804e65ec8ac12cebce03321a87 15861 web optional moon_1.0~beta1-1.diff.gz
 31783fd66d684f3504a4155999c40559 118170 web optional moonlight-plugin-core_1.0~beta1-1_i386.deb
 273855e0084511d7262bde4df52f46d7 53008 web optional moonlight-plugin-mozilla_1.0~beta1-1_i386.deb
 63ea51281f92b8f087d2eaf4c3177326 585392 libs optional libmoon_1.0~beta1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAkm2+QwACgkQcJWf5zskR2Fn6QP8CPZfgELEJNhekEy2OiLQiQj1
3pealWPVck8hLVRaW5jTCFJvb49WqsH/MAr4yYBRYsUp+mIyJKQ5SUEtDzM/3OTG
S5/qfZ279/IpJlMGCuwssPddz1Ue7ePQnxDt2cdthmkyE7ZrWkNVcyUEIlMsakzP
2me3Pbe75Lyf8LWDSgs=
=JTXM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Apr 2009 07:30:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:23:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.